<div><div> <span style= "display: inline-block; width: 25px; height: 25px; background-color: red; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 20px; border: 2px solid black; border-radius: 20%; margin-right: 10px;"> ! </span> <span><strong>As of December 4, 2024, X (formerly Twitter) is no longer supported. We apologise for any inconvenience.</strong></span> </div></div>

http
GET https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/twitter/accounts/{accountId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesw37swmmLbA02zgqKPpxITe2Account Account Id
accountIdstringYesw37swmmLbA02zgqKPpxITeAccount Id

Responses

200 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 200

  • message (string, required): Message Example: Fetched Twitter Account

  • results (object): Requested Results

json
{
  "success": true,
  "statusCode": 200,
  "message": "Fetched Twitter Account"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?